fvdemount

NAME
fvdemount - mounts a FileVault Drive Encrypted (FVDE) volume

SYNOPSIS
fvdemount [-e plist_path] [-k key] [-o offset] [-p password] [-r password] [-X extended_options] [-huvV] sources

DESCRIPTION
fvdemount is a utility to mount a FileVault Drive Encrypted (FVDE) volume

fvdemount is part of the libfvde package. libfvde is a library to acess the FileVault Drive Encryption (FVDE) format

sources one or more source files or devices.

The options are as follows:

-e plist_path
    specify the path of the EncryptedRoot.plist.wipekey file

-h  shows this help

-k key
    specify the volume master key formatted in base16

-o offset
    specify the volume offset

-p password
    specify the password

-r password
    specify the recovery password

-u  unattended mode (disables user interaction)

-v  verbose output to stderr

-V  print version

-X extended_options
    extended options to pass to sub system

ENVIRONMENT
None

FILES
None

EXAMPLES

    # fvdemount -p Password /dev/sda1
    fvdemount 20121113

DIAGNOSTICS
Errors, verbose and debug output are printed to stderr when verbose output -v is enabled. Verbose and debug output are only printed when enabled at compilation.

BUGS
Please report bugs of any kind on the project issue tracker: https://github.com/libyal/libfvde/issues

AUTHOR
These man pages were written by Joachim Metz.

COPYRIGHT
Copyright (C) 2011-2024, Joachim Metz <joachim.metz@gmail.com>. This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
fvdeinfo(1)